<template lang="pug">
nav.is-flex.is-align-items-center( :class='[{ "responsive": responsive }, isTablet || isPhone ? "is-justify-content-flex-start" : "is-justify-content-space-between"]' )
	burger( v-if='responsive && (isPhone || isTablet)' v-model='active' )
	router-link.brand.is-flex( :to='{ name: "Homepage" }' )
		.img.is-flex
			logo
	Menu( :responsive='responsive' :active='active' )
	.end.is-flex.is-justify-content-flex-end
		nav-buttons( v-if='!isTablet && !isPhone' )
		lang-switch( v-if='!noLang' )
</template>

<script>
export default {
	components: {
		Burger: () => import("@/components/Burger.vue"),
		Logo: () => import("svg/logo.svg"),
		Menu: () => import("@/components/Nav/Menu.vue"),
		LangSwitch: () => import("@/components/Nav/LangSwitch.vue"),
		NavButtons: () => import("@/components/NavButtons.vue")
	},
	props: {
		noLang: Boolean,
		responsive: Boolean
	},
	data() {
		return {
			active: false
		}
	},
	watch: {
		$route: {
			handler() {
				if (this.responsive)
					this.active = false
			},
			deep: true
		}
	}
}
</script>

<style lang="scss" scoped>
.btns {
	margin-right: calc(.75rem - .625rem)!important;
}

@include max_tablet {
	.responsive {
		.burger {
			z-index: 5;
		}
		.brand {
			margin-left: 1.25rem;
			z-index: 5;
		}
		.end {
			margin-left: auto;
		}
	}
	nav:not(.responsive) {
		flex-direction: column;
		.brand {
			margin-bottom: 2rem;
		}
	}
}
</style>